Subject: Re: bug#55408: Explain the word "interactively" in the Emacs Manual

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 May 2022 11:46:52 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 14 May 2022 10:16:06 +0200
> 
> It would be useful if the word "interactively" was explained in the
> Emacs manual, and if there was an index entry for it.  Otherwise, it
> might be hard to understand a docstring like this one for a new user:
> 
>     (defun package-update-all (&optional query)
>       "Upgrade all packages.
>     If QUERY, ask the user before updating packages.  Interactively,
>     QUERY is always true."
> 
> Perhaps it should be explained in `(emacs) Commands' and/or in the Glossary?

Does it really need to be explained?  It's a word used for its literal
meaning.  The very first line presented in the *Help* buffer says:

  package-update-all is an interactive compiled Lisp function in
  ‘package.el’.            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^